public class MockLabel : MockItem
{
    public MockItemStringProperty text;

    public MockLabel ()
    {
        width = 80;
        height = 20;
        resizable = true;
        text = new MockItemStringProperty ("text", _("Text"), _("Label"));
        text.value_changed.connect (() => { redraw (); });
        add_property (text);
    }

    public override MockItem copy ()
    {
        var copy = new MockLabel ();
        copy.x = x;
        copy.y = y;
        copy.width = width;
        copy.height = height;
        copy.text.value = text.value;

        return copy;
    }

    public override void draw (Cairo.Context c)
    {
        c.move_to (x, y + 15);
        c.text_path (text.value);
        c.set_source_rgb (0.0, 0.0, 0.0);
        c.fill ();
    }
}
