public class MockProgressBar : MockItem
{
    public MockItemIntegerProperty position;

    public MockProgressBar ()
    {
        x = 0;
        y = 0;
        width = 100;
        height = 20;
        resizable = true;

        position = new MockItemIntegerProperty ("position", _("Position"), 60, 0, 100);
        position.value_changed.connect (() => { redraw (); });
        add_property (position);
    }

    public override MockItem copy ()
    {
        var copy = new MockProgressBar ();
        copy.x = x;
        copy.y = y;
        copy.width = width;
        copy.height = height;
        copy.position.value = position.value;

        return copy;
    }

    public override void draw (Cairo.Context c)
    {
        var p = position.value / 100.0;

        /* Draw progress */
        if (width >= height)
            c.rectangle (x + 1, y + 1, (int) (width * p), height);
        else
        {
            var h = (int) (height * p);
            c.rectangle (x + 1, y + 1 + (height - h), width, h);
        }
        c.set_source_rgb (0.5, 0.5, 0.5);
        c.fill ();

        /* Draw border */
        c.rectangle (x + 0.5, y + 0.5, width, height);
        c.set_source_rgb (0.0, 0.0, 0.0);
        c.set_line_width (1.0);
        c.stroke ();
    }
}
