public class MockRadio : MockItem
{
    public const int outer_radius = 8;
    public const int inner_radius = 4;
    public MockItemBooleanProperty enabled;

    public MockRadio ()
    {
        x = 0;
        y = 0;
        width = 20;
        height = 20;
        enabled = new MockItemBooleanProperty ("enabled", _("Enabled"), true);
        enabled.value_changed.connect (() => { redraw (); });
        add_property (enabled);
    }

    public override MockItem copy ()
    {
        var copy = new MockRadio ();
        copy.x = x;
        copy.y = y;
        copy.width = width;
        copy.height = height;
        copy.enabled.value = enabled.value;

        return copy;
    }

    public override void draw (Cairo.Context c)
    {
        c.arc (x + width / 2, y + height / 2, outer_radius, 0, 2 * Math.PI);
        c.set_source_rgb (1.0, 1.0, 1.0);
        c.fill_preserve ();
        c.set_source_rgb (0.0, 0.0, 0.0);
        c.set_line_width (1.0);
        c.stroke ();

        if (enabled.value)
        {
            c.arc (x + width / 2, y + height / 2, inner_radius, 0, 2 * Math.PI);
            c.fill ();
        }
    }
}
