public class MockSwitch : MockItem
{
    public MockItemBooleanProperty enabled;

    public MockSwitch ()
    {
        x = 0;
        y = 0;
        width = 60;
        height = 20;
        enabled = new MockItemBooleanProperty ("enabled", _("Enabled"), true);
        enabled.value_changed.connect (() => { redraw (); });
        add_property (enabled);
    }

    public override MockItem copy ()
    {
        var copy = new MockSwitch ();
        copy.x = x;
        copy.y = y;
        copy.width = width;
        copy.height = height;
        copy.enabled.value = enabled.value;

        return copy;
    }

    public override void draw (Cairo.Context c)
    {
        c.rectangle (x + 0.5, y + 0.5, width, height);
        c.set_source_rgb (1.0, 1.0, 1.0);
        c.fill_preserve ();
        c.set_source_rgb (0.0, 0.0, 0.0);
        c.set_line_width (1.0);
        c.stroke ();

        int slider_offset, text_offset;
        string text;
        if (enabled.value)
        {
            slider_offset = width / 2;
            text_offset = 0;
            text = "ON";
        }
        else
        {
            slider_offset = 0;
            text_offset = width / 2;
            text = "OFF";
        }

        c.move_to (x + text_offset + 5, y + height - 5);
        c.text_path (text);
        c.set_source_rgb (0.0, 0.0, 0.0);
        c.fill ();

        c.rectangle (x + slider_offset + 2.5, y + 2.5, width / 2 - 4, height - 4);
        c.set_source_rgb (1.0, 1.0, 1.0);
        c.fill_preserve ();
        c.set_source_rgb (0.0, 0.0, 0.0);
        c.set_line_width (1.0);
        c.stroke ();
    }
}
